## org.hibernate.ejb
Interface HibernateEntityManager

All Superinterfaces:
  EntityManager

All Known Subinterfaces:
  HibernateEntityManagerImplementor

All Known Implementing Classes:
  AbstractEntityManagerImpl, CurrentEntityManagerImpl, EntityManagerImpl

    public interface HibernateEntityManager

extends EntityManager

Additional contract for Hibernate implementations of `EntityManager` providing access to various Hibernate specific functionality.

Author:
  Gavin King

Method Summary
`Session` `getSession()` Retrieve a reference to the Hibernate `Session` used by this `EntityManager`.

Methods inherited from interface javax.persistence.EntityManager

`clear, close, contains, createNamedQuery, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, createQuery, createQuery, detach, find, find, find, find, flush, getCriteriaBuilder, getDelegate, getEntityManagerFactory, getFlushMode, getLockMode, getMetamodel, getProperties, getReference, getTransaction, isOpen, joinTransaction, lock, lock, merge, persist, refresh, refresh, refresh, refresh, remove, setFlushMode, setProperty, unwrap`

Method Detail

### getSession

    Session getSession()

  Retrieve a reference to the Hibernate `Session` used by this `EntityManager`.

  Returns:

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.